Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Muttley Posted on 14/09/2017 10:03
Rod Liddle, Islamophobe
 
 
"ARE you sure we’re being told the full story about those Muslim Rohingya refugees who are ­flooding into Bangladesh from Burma? All we get is a BBC ­correspondent crying in front of the refugee camps every night. It’s probably true that the Burmese government has been a bit, um, heavy-handed. But shouldn’t we be told a little more about the causes of the ­problem? The countless terrorist attacks against Burmese police stations and ­Buddhists? Just askin’."

From a piece in The Sun today.

Rod, you're a "journalist" (in a loose sense it seems) writing something like that is poisonous. And lazy. Find the answers instead of insinuating that the "Ethnic Cleansing" (that's from the UN not the BBC) is in some way justified.

Have there been "countless" terrorist attacks? Hundreds? Several? A couple? Find out before you start spreading rumour. And to call using helicopter gunships against civilians as "um, heavy handed" is pretty pathetic use of the English Language.

Why not use your position as an opinion writer for a National Newspaper to spread understanding rather than fan the flames of hatred? Just askin'...

IP: Logged
Marvanelli Posted on 14/09/2017 10:11

Rod Liddle, Islamophobe

 
He's controversial...hence why he has a column in The Scum.

I wouldn't read too much into anything The Sun prints. It's a vile paper.
IP: Logged
Buddy Posted on 14/09/2017 10:12

Rod Liddle, Islamophobe

 
We've had pretty much the same conversation before. It seems that being understanding and accommodating on here doesn't really translate to not being Islamophobic and inflammatory for the people that pay the bills.

The thing is, if it's what you really believe, it's bad. And if it's saying any old 5h1t for money, it's also bad. Can't you just stop it and apply your talent to making the world a bit better?
IP: Logged
itsnicetobenice Posted on 14/09/2017 10:14

Rod Liddle, Islamophobe

 
I can't see the racism. Maybe a lack of human decency and empathy for people in such a terrible situation. Even a lack of any class whatsoever but racism? No, I'm sorry I do not see it.
IP: Logged
1finny Posted on 14/09/2017 10:26

Rod Liddle, Islamophobe

 
He has a point - made in the right way for the Sun
IP: Logged
Easy_Fella Posted on 14/09/2017 10:29

Rod Liddle, Islamophobe

 
Oh dear one of the FMTTM intelligentsia getting flustered because someone has the audacity to think different to him and convey those thoughts in the public domain.

IP: Logged
captain5 Posted on 14/09/2017 10:31

Rod Liddle, Islamophobe

 
Yeah, I can't imagine you ever coming on here and doing that.
IP: Logged
raglasher Posted on 14/09/2017 10:36

Rod Liddle, Islamophobe

 
Most of the worlds problems [not the weather] involve the muslim faith it is destabilising certainly the Western world and it will control
all aspects of our lives in a short time. I am 73 so it won't effect me but it will you and your own. I admit I am a Islamophobe and I am bothered for the future of my country.
IP: Logged
MaggieThatcherRules Posted on 14/09/2017 10:38

Rod Liddle, Islamophobe

 
I was kind of hoping we could pin the weather on them too.

must be a link somewhere
IP: Logged
Ambie Posted on 14/09/2017 10:42

Rod Liddle, Islamophobe

 
Anyone who reads the s*n is thick as mince, sadly they are also easily influenced. Liddle has descended into the gutter in recent years from being quite a readable columnist in the Sunday Times.
IP: Logged
rednav Posted on 14/09/2017 10:53

Rod Liddle, Islamophobe

 
Where is the Racism in the passage you pulled out?

The Rohingya case is sad but as usual we are not being told the whole story.

Bangladesh doesn't want them and considers them to be illegal. Pakistan is calling for pressure to be applied to Myanmar while it persecutes its own Rohingya community
IP: Logged
coluka Posted on 14/09/2017 10:56

Rod Liddle, Islamophobe

 
Ambie, have you ever read the sun at all to make such a judgemental opinion. If so then you are guilty if your words are correct. If you have never read the sun, what would that make your original comment... just a thought

I read the Yorkshire Post btw
IP: Logged
captain5 Posted on 14/09/2017 11:05

Rod Liddle, Islamophobe

 
Reading the thread back; I don't see anyone talking about racism other than those seeking to say it wasn't racist.

For what it's worth, the 'Islamaphobe' accusation pointed towards Liddle is one he welcomes and embraces.
IP: Logged
rednav Posted on 14/09/2017 11:11

Rod Liddle, Islamophobe

 
Islamaphobia is certainly framed as racism on this site
IP: Logged
Rayman Posted on 14/09/2017 11:11

Rod Liddle, Islamophobe

 
I tend to go with the late great Mo Mowlam on this one.
Why do people go out of their way to be offended?
We don't read the Sun and Liddle is just a male version of Hattie Cōckpins. Just ignore 'em.
IP: Logged
captain5 Posted on 14/09/2017 11:12

Rod Liddle, Islamophobe

 
I don't know why people go out of their way to be offended any more than you could probably tell me why people go out of their way to offend.
IP: Logged
Buddy Posted on 14/09/2017 11:14
Edited On: 14/09/2017 11:14
Rod Liddle, Islamophobe

 
Couple of interesting things here.

First, the general degeneration of these threads into semantics and "I know you are you said you are so what am I". A couple of people so desperate to disprove an apparent allegation of racism that they argue that none exists when the initial post doesn't allege it in the first place, beyond the specific and unarguable fact that Rod has a history of publishing stuff which makes a point of focusing on the behaviour of groups of Muslims.

Second, the possibly genuine "phobia" held by raglasher and others like him or her, which is as irrational as being scared of spiders because tarantulas exist or scared of flying because plane crashes happen.

The prevalence of this particular phobia can only be exacerbated by what people see, hear and read, especially if they don't have much contact with other groups, faiths or whatever. So national columnists, who do know the difference, have a responsibility to be responsible, not inflammatory. And, as I've said before, to consider the audience and the space available to make a nuanced distinction (if that's really the intention).
IP: Logged
American_Mary Posted on 14/09/2017 11:18
Edited On: 14/09/2017 12:19
Rod Liddle, Islamophobe

 
Good journalism would then give details of the other side and a balanced view that would allow the reader to understand better.

Perhaps it's a comment piece in which case it serves its purpose for debate, also many things written can be slanted to suit by sub-eds, or a statement with context removed can be sensationalised for effect.

What we have to be careful of is falling into the trap of labelling, I abhor the actions of some people Muslim's and should be able to criticise those individuals, that does not make me an Islamophobe, same with criticidn of the Israeli government it does not make me anti-Semitic.

Sometimes it's best to look beyond the label rather than dismiss all criticism as phobic or prejudiced.
IP: Logged
Easy_Fella Posted on 14/09/2017 11:20

Rod Liddle, Islamophobe

 
Agree with Rayman for once. It's optional to read it and how you choose to digest it, but don't push your own opinions down others throats.

Modern society has this obsession with having to tell others how "outraged" they are, purely for their own needy, attention seeking traits.

The same people who shout, want to censor others views (like the clique on here)
IP: Logged
king_hellfire Posted on 14/09/2017 11:25

Rod Liddle, Islamophobe

 
Well said, buddy [^]


'which is as irrational as being scared of spiders because tarantulas exist'


Funnily enough, I don't mind tarantulas, it's the small house spiders that I don't like! [:D]
IP: Logged
captain5 Posted on 14/09/2017 11:27
Edited On: 14/09/2017 11:32
Rod Liddle, Islamophobe

 
E_F - That's a harsh critique of Liddle; fair play.

He posts on here from time to time, so hopefully that doesn't upset him.
IP: Logged
Dan_Ashcroft Posted on 14/09/2017 11:35

Rod Liddle, Islamophobe

 
No mention of racism by the OP.

This is what Liddle is saying to the Sun masses (read between the lines):

"ARE you sure we’re being told the full story about those Muslim Rohingya refugees who are ­flooding into Bangladesh from Burma?"

The mainstream story we're being told about Muslim refugees being victims isn't factually correct... come on, after all, they're Muslims remember?!

"All we get is a BBC ­correspondent crying in front of the refugee camps every night."

It is narrative being pushed by the lefty-BBC.

"It’s probably true that the Burmese government has been a bit, um, heavy-handed."

The hard-line Burmese government have been standing up to.. (read on.. we'll find out)

"But shouldn’t we be told a little more about the causes of the ­problem? The countless terrorist attacks against Burmese police stations and ­Buddhists? Just askin’."

..countless terrorist attacks by the Muslims (these so-called victims!!) against the Burmese police. You can see why they were 'heavy-handed' now, can't you. It's the Muslims at it again, and against the Buddhists of all people (who we all know are the most peaceful folk out there!)
IP: Logged
Ambie Posted on 14/09/2017 11:43

Rod Liddle, Islamophobe

 
Of course I've read it Coluka, probably should have edited it with 'buys' instead of 'read' though. I'm sure people understood my point, I hate the paper and everything it stands for.
IP: Logged
Muttley Posted on 14/09/2017 11:44

Rod Liddle, Islamophobe

 
"Good journalism would then give details of the other side and a balanced view that would allow the reader to understand better."

That's exactly what I was trying to say. I do know that there have been "some" attacks on Police Stations in Myanmar and as is so often in these cases I don't know how many, what happened first or what is the history behind the events that have lead to this.

I find the flippant Islamophobia in his "piece" very troubling. He knows his audience and is seeding Islamophobia, throwing fuel on the fires. It is frankly divisive, shabby and lazy and will only re-inforce prejudice. As for "it is only The Sun, don't read it if is annoys you" does that apply to ISIS propaganda? Does it apply to "hate speech" in Mosques?
IP: Logged
foomanboro Posted on 14/09/2017 12:33

Rod Liddle, Islamophobe

 
Raglasher. - It's stupid scared old racists like you that have screwed up this country. Nobody else.
IP: Logged
Torslander Posted on 14/09/2017 12:36
Edited On: 14/09/2017 12:38
Rod Liddle, Islamophobe

 
So the anti-terror vehicle barriers on Edinburgh's Royal Mile and around the country are Raglasher's fault? Was that concert in Manchester last week a reaction against his posts on FMTTM?

[Hint: think Islamic extremism and warped teachings by self-proclaimed jihadists]
IP: Logged
jam69 Posted on 14/09/2017 12:39

Rod Liddle, Islamophobe

 
those barriers are also there to stop RWNJ terrorists from driving into innocent people too i think?
IP: Logged
Muttley Posted on 14/09/2017 12:44

Rod Liddle, Islamophobe

 
"So the anti-terror vehicle barriers on Edinburgh's Royal Mile and around the country..."

Do the utterly abhorrent terrorist attacks in this country and elsewhere justify the actions of the Myanmar military? Do all Muslims bear a collective guilt for terrorist attacks? Do all white people need to apologise for the actions of White Supremacists?
IP: Logged
Anton_Berg Posted on 14/09/2017 12:55

Rod Liddle, Islamophobe

 
Take out the word 'countless' and it sounds reasonable, although the tone is a bit wrong. He is saying that the TV reporting, as so often before, lacks balance. 'The army is attacking these people for no reason at all and the head of state is now officially a baddie and we must stop liking her'.
IP: Logged
Muttley Posted on 14/09/2017 13:00

Rod Liddle, Islamophobe

 
"He is saying that the TV reporting, as so often before, lacks balance."

Yes, he says that, then fails to back it up. There have been attacks on Police stations, I know that, what I don't know is how many attacks, was anyone hurt/killed in those attacks, when did it happen, was there a reason for it (people generally do not attack Police stations for no reason, even if that reason might be spurious)... Etc. so many questions but he lazily insinuates Islamic guilt.

It's a nasty hateful piece and taking one word out of it doesn't alter the apparent sentiment behind it.
IP: Logged
Ticker_Tape Posted on 14/09/2017 13:02

Rod Liddle, Islamophobe

 
Always seemed a twitchy odd ball Liddle.
IP: Logged
Shanks_Pony Posted on 14/09/2017 13:07

Rod Liddle, Islamophobe

 
I'm Islamophobic and I've raised my children to also be Islamophobic.
IP: Logged
Ticker_Tape Posted on 14/09/2017 13:15

Rod Liddle, Islamophobe

 
Ive watched a bit of his stuff on You Tube regarding Liberalism.

Taking Trump as one of his themes for the ending of Liberalism or as he puts it safe space, he makes a number points on why Trump and Farage are on the rise and condones it.

Why the % of poverty is remarkable high and the Obama and Clinton dems didnt address that, it is understandable and rightly so a lot voted for change.

However he is kidding if he thinks Trump or Farage Brexit is going to turn the tide.

As for his recent Sun piece, he is just showing how and what he really thinks.
IP: Logged
itsnicetobenice Posted on 14/09/2017 13:21

Rod Liddle, Islamophobe

 
Labelling someone an islamophobe is tantamount to calling them a racist. Essentially, racism and islamophobia are partially overlapping phenomena in my humble opinion.

An intense dislike or fear of islam, especially as a political force; hostility or prejudice towards muslims.

Islamophobia sure sounds racist to me.
IP: Logged
Ticker_Tape Posted on 14/09/2017 13:32

Rod Liddle, Islamophobe

 
And?
IP: Logged
littlejimmy Posted on 14/09/2017 13:37

Rod Liddle, Islamophobe

 
NB: This is my opinion. I'm not saying I'm right.

I believe we need to keep challenging stuff like this. We should not tolerate intolerance. If it goes unchallenged it becomes more and more extreme. If you appease it and continue to let it grow and infect more people it can lead to bad situations (think 1930s Germany) and before we know it we're all screwed again. It's not a question of silencing anyone, it's a question of challenging and countering and trying to prevent history from repeating itself.
IP: Logged
itsnicetobenice Posted on 14/09/2017 13:42

Rod Liddle, Islamophobe

 
And what?

A few people above suggested that racism was not mentioned. I simply provided a simple definition of the term islamophobe and explained that essentially an islamophobe is a racist.

Happy to clear that up for you if you did not understand.
IP: Logged
Ticker_Tape Posted on 14/09/2017 14:01

Rod Liddle, Islamophobe

 
Thanks, I thought it was racist ya know.
Glad you are around[pa]

But why did you need to explain it? who said it wasn't racist?
IP: Logged
Muttley Posted on 14/09/2017 14:03

Rod Liddle, Islamophobe

 
"A few people above suggested that racism was not mentioned..."

That's right it wasn't. I was very careful NOT to use the term. That a few people cannot understand the difference is not my problem. Buy a dictionary, use an online one. FFS etc.
IP: Logged
Buddy Posted on 14/09/2017 14:06

Rod Liddle, Islamophobe

 
"NB: This is my opinion. I'm not saying I'm right."

This is why the other lot tend to prevail.
IP: Logged
itsnicetobenice Posted on 14/09/2017 14:08
Edited On: 14/09/2017 14:09
Rod Liddle, Islamophobe

 
Muttley has kindly explained my point for me and answered your question at the same time.

Unfortunately, he is being a little short and snappy for some reason. I have no idea why.

Islamophobia and racism are very similar, overlapping phenomena. I have already provided the definition for Islamophobia. People can make up their own minds about whether it is racist or not, just as I have done.

IP: Logged
Ticker_Tape Posted on 14/09/2017 14:11

Rod Liddle, Islamophobe

 
But who said it wasn't?
IP: Logged
itsnicetobenice Posted on 14/09/2017 14:12

Rod Liddle, Islamophobe

 
A number of people on this thread. Maybe have a re-read of it.
IP: Logged
Big_Nothing Posted on 14/09/2017 14:18

Rod Liddle, Islamophobe

 
We have a bloke who is an apologist for ethic cleansing, genocide essentially and people are defending him. It's actually getting out of control this.

I suppose holocaust denial and having a bit of sympathy for Hitler is just a different opinion and we should all respect it and people's right to air it despite the fact it's horrendous.

How dare the left wing, liberal intelligentsia challenge people apologising for genocide.

Absolute daft cnuts man.
IP: Logged
Ticker_Tape Posted on 14/09/2017 14:18

Rod Liddle, Islamophobe

 
Nope I cant find anybody stating Islamophobia isnt being racist ?
IP: Logged
itsnicetobenice Posted on 14/09/2017 14:24
Edited On: 14/09/2017 14:26
Rod Liddle, Islamophobe

 
Muttley, captain5, buddy and DanAshcroft.

Hope that helps you out.
IP: Logged
Ticker_Tape Posted on 14/09/2017 14:25

Rod Liddle, Islamophobe

 
You have one fella who owns up to being Islamophobic and also encourages his children to as well.

Now if he put his real name out in public and workplace that would take a bit of guts, but he will probably keep it out of public view like most of the little cowards who give it six nowt on here.
IP: Logged
Jon_Mc Posted on 14/09/2017 14:28

Rod Liddle, Islamophobe

 
I'm pretty sure we've been give the full story or at least as full a picture as is possible. Islamist extremists caused chew...again...which resulted in a nationalistic over reaction from the Myanmar militarily. As usual the innocent suffer because of a minority of pricks.

But this what Islam does have to come to terms with...the fact that people they call brothers and sisters have no concern about life whatsoever and are willing to sacrifice those whom want peace for a fascist cause that suits the death cult they aspire to be.

One day Muslims will wake up and realise that these ultra nationalistic fascists are not their brothers...or they won't.
IP: Logged
Ticker_Tape Posted on 14/09/2017 14:30

Rod Liddle, Islamophobe

 
Cant see it from any of them.
I see you state the article isn't racist, however nobody actually states Islamophobia isn't racist.

[pa]
IP: Logged
itsnicetobenice Posted on 14/09/2017 14:31

Rod Liddle, Islamophobe

 
Well I am afraid I cannot help you then Ticker.

Sorry.
IP: Logged
foomanboro Posted on 14/09/2017 14:35

Rod Liddle, Islamophobe

 
"You have one fella who owns up to being Islamophobic and also encourages his children to as well.

Now if he put his real name out in public and workplace that would take a bit of guts, but he will probably keep it out of public view like most of the little cowards who give it six nowt on here."

Racists/Islamophobia being cowards should come as no shock to anyone.

All racism/bigotry stems from fear and ignorance.
IP: Logged
Ticker_Tape Posted on 14/09/2017 14:38

Rod Liddle, Islamophobe

 
Its OK.
IP: Logged
itsnicetobenice Posted on 14/09/2017 14:46
Edited On: 14/09/2017 14:48
Rod Liddle, Islamophobe

 
But you are also showing bigotry foomanboro. Perhaps you fear islamophobes or are ignorant as to their beliefs?

I think it is a dangerous situation when one side wants to be in total control of these discussions. I would never teach my children to become islamophobic. It is irrational. Yes, Muslims account for the vast majority of terrorists in recent times but it is still only a minority from their faith.

However, freedom of speech must be for all, not only those who you agree with. That is how it works. Discussing issues and trying to educate others in relation to your own point of view can only be a good thing.

You should not try and silence those with differing opinions foomanboro. You should not insult them and namecall. It is much better to encourage freedom of speech and attempt to mediate and influence those that you do not agree with. Your hate only fuels their hate. It is a vicious circle.
IP: Logged
Buddy Posted on 14/09/2017 14:47

Rod Liddle, Islamophobe

 
Can we all amicably agree that something that might be tightly defined as racism or Islamophobia sits nicely under the overarching description "being a tvv@t"?
IP: Logged
wilkos_perm Posted on 14/09/2017 14:47

Rod Liddle, Islamophobe

 
" We have a bloke who is an apologist for ethic cleansing, genocide essentially and people are defending him "

Totally agrre. In essence it's yeah well, some people may or may not have carried out some attacks so it's maybe ok to attack whole communities of everyone of that religion.
Some jews probably did some bad stuff in the 1930's so Hitler was probably justified really......
IP: Logged
foomanboro Posted on 14/09/2017 14:57

Rod Liddle, Islamophobe

 
"But you are also showing bigotry foomanboro. Perhaps you fear islamophobes or are ignorant as to their beliefs?"

Calling someone a bigot because they disagree with bigotry is as ridiculous as calling someone a paedo for disagreeing with paedophelia.

The fact you use this childish tactic to reverse the accusations in such a lazy and poorly thought out manner shows your immaturity.
IP: Logged
itsnicetobenice Posted on 14/09/2017 15:02
Edited On: 14/09/2017 15:09
Rod Liddle, Islamophobe

 
More namecalling foomanboro.

Very poor from an adult.

If you are under 18 then accept my apologies. You will grow out of it.

Bigotry is defined as intolerence towards others who hold different opinions to oneself.

Therefore it is a mental state. Totally different to a physical act such as child sex abuse. With this established, it is reasonable to suggest that you can not compare the two.

I do sort of see your point though in a strange way but I would suggest you show a little more respect to the opinions of others and stop being so aggressive.

Again, unless you are a teenager, in which case I fully understand your angst!
IP: Logged
foomanboro Posted on 14/09/2017 15:05

Rod Liddle, Islamophobe

 
Name calling? You mean because I called you childish or immature?

My you are an awfully sensitive flower for someone who is a bigot sympathiser.
IP: Logged
itsnicetobenice Posted on 14/09/2017 15:07

Rod Liddle, Islamophobe

 
I'm sorry my unhappy little friend. I have no desire to engage in verbal insults with you.

All the best.
IP: Logged
captain5 Posted on 14/09/2017 15:08

Rod Liddle, Islamophobe

 
Buddy - as I am rather close to the latter I'd rather be nowhere near the others, if you don't mind.
IP: Logged
foomanboro Posted on 14/09/2017 15:16

Rod Liddle, Islamophobe

 
Bye [^]
IP: Logged
littlejimmy Posted on 14/09/2017 15:18
Edited On: 14/09/2017 15:25
Rod Liddle, Islamophobe

 
Buddy, I was trying to make a point without being overly confrontational, probably a bad choice of words. I BELIEVE I'm right. But that obviously makes me a fascist enabler in your eyes.

The other lot prevail for short periods and get put back in their box when everyone remembers what they're really about. I hope we can make their periods of prevalence shorter and shorter. You'll probably jump all over that as well, so I'll just shut up.
IP: Logged
Blind_Boy_Grunt Posted on 14/09/2017 15:22

Rod Liddle, Islamophobe

 
This isn't new.The buddhists have been slaughtering the muslims in Burma for a few years now. If there has been a reaction from the muslim community then I am not surprised.
IP: Logged
itsnicetobenice Posted on 14/09/2017 15:23

Rod Liddle, Islamophobe

 
Bye foomanboro. Enjoy the new thread you made following on from our discussion here. I am glad my words sparked some thoughts within you. Always nice when that happens.



IP: Logged
Easy_Fella Posted on 14/09/2017 15:24

Rod Liddle, Islamophobe

 
Foomanboro the bigot showing his hypocrisy again, he's got previous though so it's no surprise [^]
IP: Logged
itsnicetobenice Posted on 14/09/2017 15:28

Rod Liddle, Islamophobe

 
He is just a little misguided and sure of himself. I don't see any real malice in his insults and anger. Rather harmless.

He must just be an angry youngster. He will come to understand that clever people learn something from everything even if they do not agree with the message being conveyed.
IP: Logged
Ticker_Tape Posted on 14/09/2017 15:29

Rod Liddle, Islamophobe

 
Trying his little Redheart out, but never comes across well[pa]
IP: Logged
foomanboro Posted on 14/09/2017 15:40

Rod Liddle, Islamophobe

 
Nice to see you follow my threads for some who didn't want to engage with me [;)]
IP: Logged
TABLOID_MAN Posted on 14/09/2017 15:44

Rod Liddle, Islamophobe

 
Mutters

Why are you reading The Sun when you hate the paper & all that it stands for?

Do you buy it in the hope of finding something you can become outraged about?
IP: Logged
itsnicetobenice Posted on 14/09/2017 15:45
Edited On: 14/09/2017 15:50
Rod Liddle, Islamophobe

 
They are so interesting and thought provoking! I saw the words bigot and bigotry and just knew that you had felt the need to create a whole new thread based on your anger and confused thinking on this thread.

Glad you have taken some of my words on board anyway my friend. I'm sure others will also help you understand what bigotry means.

No hard feelings.
IP: Logged
BarnesBoroFC Posted on 14/09/2017 15:47
Edited On: 14/09/2017 15:47
Rod Liddle, Islamophobe

 
What about those white, ginger Muslims?[8)]
IP: Logged
Muttley Posted on 14/09/2017 15:56

Rod Liddle, Islamophobe

 
Tabloid_Man, I assume you entertain the same laissez faire to ISIS propaganda, Muslim hate speech and Right Wing Extremist diatribe? Head in the sand and hope for the best or confront or challenge it when you see it?

For the record, I don't read or buy the Sun I found the article as reported in the wider media and thought it worthy of discussion not least because the estimable Mr. Liddle has on occasion visited this red tinted corner of the Internet.
IP: Logged
Buddy Posted on 14/09/2017 16:12

Rod Liddle, Islamophobe

 
Never underestimate the power of people on the internet to take things slightly wrong, even if you've "known" each other for a decade or so.

What I meant, lj, was that the "nice" end of the spectrum [politics is about nasty v nice, not right v left] all, myself included until recently, try to "avoid confrontation" and make sensible, logical points couched in opinion and caveat. And the other, wrong side just stand up and go "NO. IT'S LIKE THIS." And win the votes.

(Scientists have been having this problem forever btw, because they stress uncertainty and get met with derision for "not knowing")
IP: Logged
littlejimmy Posted on 14/09/2017 16:17

Rod Liddle, Islamophobe

 
Haha. Forgive me, I was playing up a bit there.

You're right about the uncertainty. There's a saying about clever people being uncertain and stupid people being certain. I was only last night lamenting the language on a TV programme about health, "How to Stay Young" on BBC1, where everything was couched in that sort of language, i.e. "saturated fat may cause higher cholesterol, avocados could help you fly to the moon."
IP: Logged
Big_Nothing Posted on 14/09/2017 18:12

Rod Liddle, Islamophobe

 
This isnice character is funny as. Clever people don't defend those who apologise for ethnic cleansing, they're able to see it for what it is. Of course there's something to learn from everything but that doesn't mean we have to defend certain views and opinions right to exist, or in this case actions.

Would you defend someone's right to believe paedophilia should be legal? Do we have something to learn from hearing that person out and accepting that view as one worth hearing and not chastising it just because it's different to ours?

You seem to think people are angry and refusing to entertain other ideas because they're different to their own, while they may be different the reason these opinions are being discarded is because they're morally reprehensible.
IP: Logged
foomanboro Posted on 14/09/2017 18:25

Rod Liddle, Islamophobe

 
Well looks like you have had a massive U-turn itsnicetobenice. Because it looks like you are responding to my posts.

Anyway the only one not grasping bigotry here is you.
IP: Logged
itsnicetobenice Posted on 14/09/2017 18:29

Rod Liddle, Islamophobe

 
I have defined bigotry for you foomanboro. There isnt a great deal more I can do for you if you do not understand the definition.
IP: Logged
itsnicetobenice Posted on 14/09/2017 18:32

Rod Liddle, Islamophobe

 
Can you show me where I am defending Rod Liddle?

Thanks BigNothing.
IP: Logged
Uncle_harry Posted on 14/09/2017 18:45

Rod Liddle, Islamophobe

 
The Sun's not being on balance or nuance. Dumb it down & hyoe it up. Liddle will write whatever his paymasters want him to
IP: Logged
john_b Posted on 14/09/2017 19:00

Rod Liddle, Islamophobe

 
"Liddle met Rachel Royce, a television presenter, at the BBC in 1993, and the couple soon became romantically involved. In January 2004 the couple married at a ceremony in Malaysia. Six months later, Liddle moved in with Alicia Monckton, a 22-year-old receptionist at The Spectator. It transpired that he had cut his honeymoon with Royce short so that he could be with Monckton. In May 2005, he was arrested for common assault against Monckton, who was 20 weeks pregnant at the time"

He's a regular David Niven,
IP: Logged
Muttley Posted on 14/09/2017 19:10

Rod Liddle, Islamophobe

 
Mr. Benice; "Can you show me where I am defending Rod Liddle?"

10:14 "I can't see the racism. Maybe a lack of human decency and empathy for people in such a terrible situation."

13:21 "Labelling someone an islamophobe is tantamount to calling them a racist. Essentially, racism and islamophobia are partially overlapping phenomena in my humble opinion... Islamophobia sure sounds racist to me."

When you say that you can't see "racism" in the writings of Mr. Liddle and then explicitly define what amounts to "racism" in your opinion, when you say that "Islamophobia sure sounds racist to me". I'd say it is self evident that you are defending the writings of Mr. Liddle.

Do you consider it "nice" to defend "racism"?

Plainly you are yet another incarnation of some other poster trying to hide as a "new" poster.

Sockpuppet
IP: Logged
laughing_gravy Posted on 14/09/2017 19:16

Rod Liddle, Islamophobe

 
Bit confusing this thread.

Liddle admits to Islamophobia, so Muttley's OP heading is entirely correct.

IP: Logged
itsnicetobenice Posted on 14/09/2017 19:21
Edited On: 14/09/2017 19:22
Rod Liddle, Islamophobe

 
Nowhere am i defending his words. I simply said i did not see any racism in that exert. I did say he lacked class and human decency to write such things and also criticised his lack of empathy.

Have any others said the same? Let me check.

IP: Logged
Muttley Posted on 14/09/2017 19:22
Edited On: 14/09/2017 19:24
Rod Liddle, Islamophobe

 
Indeed, though to be fair to RL he would probably use the definition that I would of Islamophobia as "a fear, rational or irrational, of Islam"

Which, ironically, makes Mr. Benice the one calling RL racist...
IP: Logged
john_b Posted on 14/09/2017 19:23

Rod Liddle, Islamophobe

 
Excerpt.

Not exert.
IP: Logged
laughing_gravy Posted on 14/09/2017 19:27

Rod Liddle, Islamophobe

 
I didn't see any mention of racism in Muttley's post.
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:30
Edited On: 14/09/2017 19:33
Rod Liddle, Islamophobe

 
As I thought. One or two others also saying they can not see racism in that exerpt.

Just to clarify. I am of the belief thay anyone who admits to being an islamophobe is racist, either knowingly or unwittingly.

However, that exert is not racist. I would hazard a guess that you have an agenda to push and this was the whole point of your post. Maybe one of the longer term posters can shed some light on my suspicions.

IP: Logged
Muttley Posted on 14/09/2017 19:30

Rod Liddle, Islamophobe

 
"Nowhere am i defending his words."

Err, yes you are, 10:14 post. As in own words "Islamophobia sure sounds racist to me"...
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:32

Rod Liddle, Islamophobe

 
But you are the one labelling him an islamophobe not me. I have no knowledge of the man whatsoever.

Next.
IP: Logged
Muttley Posted on 14/09/2017 19:32

Rod Liddle, Islamophobe

 
You've been told once

exert

verb

apply or bring to bear (a force, influence, or quality).
or
make a physical or mental effort.
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:35
Edited On: 14/09/2017 19:36
Rod Liddle, Islamophobe

 
Why are you so angry and abusive?

I am typig on a phone. I try and ensure all words are correct but sometimes i make mistakes. Thats life.
IP: Logged
Scrote Posted on 14/09/2017 19:36
Edited On: 14/09/2017 19:39
Rod Liddle, Islamophobe

 
itsnicetobenice - whilst I applaud your effort to frame your debate via definitions of the terms 'racism', 'Islamophobia' & 'bigotry', I don't think a reasonable person would recognise those definitions.

Firstly, it is not bigoted to stand up to bigotry. That just doesn't make sense. Or does the same spiral-thinking mean that anyone standing up to a bully is also a bully?

Do you honestly believe that the fighter pilots of the RAF during the Battle of Britain, or the soldiers landing at Dunkirk on D-Day were bigots (in so far as their interaction with Nazi Germany)?

And racism, as is so often pointed out by the RWNJ, can't be applied to a religion. So Islamophobia is, by definition, not racism. There can be concurrent racial connotations when people are being Islamophobic but, equally, someone (such as myself) may be fundamentally opposed to Islam due to the lack of bacon.

Rod Liddle is being Islamophobic in the OP's post. He is quite clearly not being racist (probably deliberately but I'll not speak for him).

The problem is that his piece just does the old 'all x are bad because some x are bad'. Where x has been Jews, blacks, Slavs, gays etc. through history.

It might be Islam's 'turn' due to global events, but we could try to rise above it, instead.
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:38

Rod Liddle, Islamophobe

 
I think it is a fair assumption to make that someone who is islamophobic is also racist. Dont you?
IP: Logged
Muttley Posted on 14/09/2017 19:39

Rod Liddle, Islamophobe

 
"I am typig on a phone"

Really?

That along with your new personality, seems unlikely.
IP: Logged
Ticker_Tape Posted on 14/09/2017 19:39

Rod Liddle, Islamophobe

 
I like this one, he pretends nothing happened.[:D]
IP: Logged
laughing_gravy Posted on 14/09/2017 19:41

Rod Liddle, Islamophobe

 
Seems its not only typing you have trouble with, reading seems problematic too.

Nobody is labelling him an islamophobe, Liddle freely admits to it.

IP: Logged
Muttley Posted on 14/09/2017 19:41

Rod Liddle, Islamophobe

 
"I think it is a fair assumption to make that someone who is islamophobic is also racist. Dont you?"

No. One is a fear the other is a prejudice.

It's like we have two words to describe two different things...
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:48

Rod Liddle, Islamophobe

 
Excellent example of a pack mentality attempting to bully someone into changing their opinions.

I will not submit unfortunately.

My previously made points again for your perusal.

1. I do not see anything in the opening post that is racist.
2. What I do see in that opening post is a journalist lacking in class, human decency and empathy at the terrible situation those people find themselves in.
3. I believe that an islamophobe is racist, either knowingly or unwittingly.
4. Freedom of speech is a gift given to us by our forefathers and everyone in this country is entitled to it.
5. There is a huge difference between supporting someones freedom to SAY what they want and supporting someones freedom to DO what they want. That is why we have laws.

Now, hopefully, that has clarified my position on a few things.

IP: Logged
john_b Posted on 14/09/2017 19:53

Rod Liddle, Islamophobe

 
That's a hell of a post on a phone.

IP: Logged
itsnicetobenice Posted on 14/09/2017 19:53

Rod Liddle, Islamophobe

 
Interesting Muttley. So you think that people who are islamophobic are probably not racist?

Quoted from the Oxford dictionary below is the definition of islamophobia:

"Dislike of or prejudice against Islam or Muslims, especially as a political force."

If you were a betting man. Would you wager that an islamophobe was racist or not racist?

No need to spin this, just answer that question above if you will.

Many thanks.
IP: Logged
john_b Posted on 14/09/2017 19:54

Rod Liddle, Islamophobe

 
A hundred !
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:55

Rod Liddle, Islamophobe

 
It would be wouldn't it john.

I have switched to the laptop now. I need to bring the big guns out he he.
IP: Logged
BillBones Posted on 14/09/2017 19:57

Rod Liddle, Islamophobe

 
I can't believe anyone would think Islamophobia and racism are the same.

Islam is a set of ideas. It is not a person.

Bigotry towards Muslims is the same as racism. Criticism of ideas is not.
IP: Logged
itsnicetobenice Posted on 14/09/2017 19:58

Rod Liddle, Islamophobe

 
I can't believe anyone would think that I am saying islamophobia and racism are the same.
IP: Logged
BillBones Posted on 14/09/2017 20:02

Rod Liddle, Islamophobe

 
I don't even think they're similar. Look at the likes of Sam Harris, Christopher Hitchens, Richard Dawkins etc. They object to death for apostasy, judicial amputation, subjugation of women, persecution of homosexuals, stoning for adultery etc. You won't find any racism there though.
IP: Logged
Scrote Posted on 14/09/2017 20:03
Edited On: 14/09/2017 20:04
Rod Liddle, Islamophobe

 
itsnicetobenice @13:42

"essentially an islamophobe is a racist"


Essentially: used to emphasize the basic, fundamental, or intrinsic nature of a person or thing.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:05

Rod Liddle, Islamophobe

 
Quoted from the Oxford dictionary below is the definition of islamophobia:

"Dislike of or prejudice against Islam or Muslims, especially as a political force."

Muslims are not a set of ideas.
IP: Logged
Muttley Posted on 14/09/2017 20:06

Rod Liddle, Islamophobe

 
I don't think he knows what he has said. (Or what he is typig on) [:D]
IP: Logged
Scrote Posted on 14/09/2017 20:09

Rod Liddle, Islamophobe

 
"Muslims are not a set of ideas."

No, but Islam is.
IP: Logged
BillBones Posted on 14/09/2017 20:10

Rod Liddle, Islamophobe

 
You're getting confused. Islam is a set of ideas and should be open to criticism like all other ideas. Muslims are people and bigotry towards them is unacceptable. The problem is that many people, especially on the far left, conflate the two.
IP: Logged
Ticker_Tape Posted on 14/09/2017 20:11

Rod Liddle, Islamophobe

 
His posts are very very long mind.

I think the clique will enjoy this one.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:12

Rod Liddle, Islamophobe

 
I know exactly what I have said Muttley. You have not answered my question I see.

So again..........

Quoted from the Oxford dictionary below is the definition of islamophobia:

"Dislike of or prejudice against Islam or Muslims, especially as a political force."

If you were a gambling man, would you wager that an islamophobe (take a look at the official Oxford Dictionary definition provided above if you need to remind yourself) is a racist or not a racist?

Just answer this question thanks.
IP: Logged
john_b Posted on 14/09/2017 20:12

Rod Liddle, Islamophobe

 
Cornflakes ???

Corn ? Flakes ?

That's just mad.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:14

Rod Liddle, Islamophobe

 
BillBones. This is for you.

Quoted from the Oxford dictionary below is the definition of islamophobia:

"Dislike of or prejudice against Islam or Muslims, especially as a political force."

Can you understand the definition of islamophobia now?

The dislike of or prejudice against ISLAM or MUSLIMS.

Whilst islam is a set of ideas, muslims are people and surprise surprise you can be racist towards someone.

Do you understand this?
IP: Logged
American_Mary Posted on 14/09/2017 20:15

Rod Liddle, Islamophobe

 
Islamophobia is racist, but criticism of the religion or the actions of some of the members who follow that religion is not necessarily Islamophobia

Anti-Semitism is racist, but criticism of the religion or the actions of some of the members who follow that religion is not necessarily anti-Semitism.

The problem is in both cases any criticism of either creed is often labelled thus without looking if there's a genuine cause for complaint.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:17

Rod Liddle, Islamophobe

 
Please do not confuse them further Mary. I am just getting them to understand a simple definition. Lets hope they have all grasped it now. We shall see.
IP: Logged
Scrote Posted on 14/09/2017 20:18
Edited On: 14/09/2017 20:19
Rod Liddle, Islamophobe

 
You can be racist towards someone but you would struggle to be racist* towards an ethnically White English muslim.

You could dislike them for being a muslim though which, whilst most probably bigoted, is not racist.



*and there are schools of thougt that say you can ONLY be racist to certain groups anyway.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:19

Rod Liddle, Islamophobe

 
Ah scrote, just the man. You piped up earlier. Do you now understand the definition of islamophobia?
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:21

Rod Liddle, Islamophobe

 
And I am still waiting on BillBones and muttley to answer my questions.

Thanks
IP: Logged
Ticker_Tape Posted on 14/09/2017 20:21

Rod Liddle, Islamophobe

 
[:D]
IP: Logged
john_b Posted on 14/09/2017 20:23

Rod Liddle, Islamophobe

 
I think what would definitely help here would be if someone could post the definifition of Islamophobia.

Again.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:23
Edited On: 14/09/2017 20:24
Rod Liddle, Islamophobe

 
Impressive is it not? Hope you have enjoyed it.

I enjoy debates when I know I am correct he he.

In your own time fellows.
IP: Logged
Scrote Posted on 14/09/2017 20:24

Rod Liddle, Islamophobe

 
I fully understand the definition of Islamophobia and, despite what AM may think, it doesn't include racism as an absolute.

I can't be racist towards another middle-aged white bloke, BY DEFINITION.

I can hold an irrational fear and dislike towards him if he follows Islam.

All racism is bigotry. Not all bigotry is racism.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:28

Rod Liddle, Islamophobe

 
Ahem scrote now dear sir, please refrain from skirting around the question and simply take a look at that definition of islamophobia and tell me if you think people who are islamophobic are likely to be racist.

Just for you(and john he he)

Quoted from the Oxford dictionary below is the definition of islamophobia:

"Dislike of or prejudice against Islam or Muslims, especially as a political force."

You were very quick to pipe up about islam being a set of ideas and therefore islamophobia could not be racist. What about the dislike and prejudice towards muslims?

Thanks.
IP: Logged
Scrote Posted on 14/09/2017 20:37

Rod Liddle, Islamophobe

 
"What about the dislike and prejudice towards muslims?"

Dislike: not sure - depends why they're disliked.

Prejudice against: bigotry.


Do I think people who are islamophobic are likely to be racist?

Some will be. Many won't be. As to likelihood, I really don't know.

I'd hazard a guess as to most (the majority) of racists being Islamophobes - but there are plenty of 'definitely-not-racist' public figures who have spoken out against aspects of Islam.

The only point of contention could be the use of the phobia suffix - which implies irrationality. However, I think that would be such a pointless semantic argument.
IP: Logged
itsnicetobenice Posted on 14/09/2017 20:42
Edited On: 14/09/2017 20:44
Rod Liddle, Islamophobe

 
Well at least you have given me half of an honest answer. Better than nothing I suppose and you are the only one of the many who were all over this thread earlier that has had the guts to reply.

Valuable lessons to be learnt by some on here. Do not be so quick to mock someone. Know what you are talking about if you are going to act clever. Show posters a bit of respect even if you do not agree with them.

Oh and even in big numbers against one person you can still lose.

Goodnight all.
IP: Logged
Ticker_Tape Posted on 14/09/2017 20:46

Rod Liddle, Islamophobe

 
Capio sorted you out though[:D]

You were in a hell of a state [:P]
IP: Logged
Scrote Posted on 14/09/2017 20:46

Rod Liddle, Islamophobe

 
"Well at least you have given me half of an honest answer."

Which half?

I've given a full answer, with an explanation.

You don't have to agree with it but to pretend your question hasn't been answered is just absurd.
IP: Logged
38Red Posted on 14/09/2017 21:00

Rod Liddle, Islamophobe

 
"Dislike of or prejudice against Islam or Muslims". itsnicetobenice seems to be having difficulty understanding the word "or". Dislike of Islam is not the same of dislike of Muslims, neither of which are inherently racist.
IP: Logged
BillBones Posted on 14/09/2017 21:21

Rod Liddle, Islamophobe

 
Yep, I was just about to mention that. Maybe look up the word 'or' in your dictionary.
IP: Logged
Muttley Posted on 14/09/2017 21:35

Rod Liddle, Islamophobe

 
The poster currently known as Mr. Nice thinks by ignoring answers he was "won" some sort of victory. [rle]

Nicey, your contribution to this thread has been reduced to repeating an eight word quote from the OED of 1923. If you bother to research the modern usage of the term you will find that it is widely discussed in many places. Pages and essays have been written on the term and its use. The literal meaning is centred around the Greek word "Phobos" who in Greek mythology was the personification of fear, so Islamophobia is literally the fear of Islam. Of course language is never as simple as that, I have explained how I have used the term.

Of course the natural reaction of the habitual internet troll when cornered is to avoid direct questions, ask questions of their own and ignore answers. Not a great start for a "new" character.

What puzzles me is why he bothered trying, the piece written by RL is indefensible.
IP: Logged
BillBones Posted on 14/09/2017 21:36

Rod Liddle, Islamophobe

 
In fact, objecting to aspects of Islamic doctrine such as subjugation of women, maltreatment of homosexuals etc are certainly not right leaning are they? So I wouldn't align that with racism.
IP: Logged
Fuchsache Posted on 14/09/2017 21:51

Rod Liddle, Islamophobe

 
Passports are the bloooody problem.
They should've been banned years ago [:D][:D]
IP: Logged
boroskel65 Posted on 14/09/2017 22:14

Rod Liddle, Islamophobe

 
Would the fear of being a victim of atheophobia rationally justify Islamophobia?
IP: Logged
Only_Me Posted on 14/09/2017 22:23

Rod Liddle, Islamophobe

 
@ Scrote [^]



Bill Bones you can add FGM to that list, as well as whipping for being in the company of a male who's not her husband.

It seriously disgusts me that there are men on this forum, who would support a set of ideals that require young girls to have their genitalia so dreadfully mutilated for no other reason than to please men.
What sort of sicko's are you?
If you think that believing that unacceptable behaviour of that sort is Islamophobic, then by definition, that makes you a wholly and unquestioning islamophile and as such as guilty of this horrendous crime, as those who inflict it.
You cannot pick and choose which parts of islam you can just ignore and hope will go away, it comes as a bundle, it is not up for debate, Islam and it's followers are not looking to change/modernise/westernise/moderate their religion, if anything, they expect the west to fall into line with their rules and laws - hence between 80-100 sharia courts in the UK at present with numbers expected to increase exponentially, as well as the number of 'laws' they are allowed to rule on increasing. We are all supposed to be equal under the law and that is clearly not the case, again with women being treat as 2nd class citizens within that construct.
The next time any of you lot claim to be feminists/anti sexist or any other type of 'right on' pussy hat wearing liberal, just have a think about what it is you're actually standing up for.


Foo, I can be very much against the tenets of Islam, without being anti hindu, Sikh, Christian, Indian, Pakistani or any other nationality or religion ( though I also disagree wholeheartedly with male circumcision/mutilation within the jewish religion as well as chavs having their kids ears pierced because nobody should have a right to disfigure another human without their express permission )
I don't even dislike the Chinese, though you do make that difficult at times, though deep down I know they're not all like you, so they're just fine, I do however take issue with the Chinese government/army thinking it's ok to squash students under tanks or commit other human rights infringements but if that makes me a racist, i'm happy to accept the charge.
IP: Logged
Scrote Posted on 14/09/2017 22:55

Rod Liddle, Islamophobe

 
Only_Me - I appreciate the thumbs up but I have to disagree with parts of your post, I'm afraid.

Mainly the bit about moderation within Islam. There are plenty of moderate Muslims. They just aren't given a voice because it doesn't fit the overarching narrative.

There are parts of Islam that are abhorrent but not all Muslims adhere to those bits. Most pick and choose in the same way as Christians do - based on their understanding of the 'message' and their personal morality.

There are further differences down the sectarian lines between Sunni & Shia (and other minor groups) that reflect the schisms within Christianity.

A lot of Islamophobia is driven by a lack of understanding. What Rod Liddle has done is directly adding to that lack of clarity. I can't believe he doesn't have access to journalists on the ground in Burma with actual facts.

Also, wrt Sharia Law, there is nowhere in the UK that it supersedes the actual Law. Groups sorting out certain disputes amongst themselves is probably a blessing in so far as it keeps them out of the courts.

However, I accept that some Sharia is probably applied against individuals who don't wish to be held to it. The onus is on those individuals to approach the authorities though.

I think I agree with the rest of what you say.
IP: Logged
Only_Me Posted on 15/09/2017 00:29
Edited On: 15/09/2017 00:41
Rod Liddle, Islamophobe

 
" Mainly the bit about moderation within Islam. There are plenty of moderate Muslims. They just aren't given a voice because it doesn't fit the overarching narrative. "


I maybe didn't make myself clear on that point. I fully appreciate there are moderate muslims, however, they sadly are not in the majority at least so far as calling the shots is concerned and while some may not adhere to various tenets, quite often they are silent in their approach to that, as it would be seen by many others as apostasy and you know what the penalty for that is. Yes there are some who are brave enough to speak out but they are relatively few in number compared to hard line islamists. On the whole though, as a religion, Islam is not up for negotiation or reform and for anyone who is western ( for want of a better word ) to willingly support it's ideology and medieval barbaric practices is beyond disgusting. Western citizens can't and shouldn't be allowed to hide behind a picking and choosing mentality, you are either an ( and we'll use that made up word again ) Islamophobe or you are an islamophile and therefore fully in agreement and supportive of all it's practices as they are part and parcel of that ideology, including it's treatment of women, fgm of children and throwing gays off rooves.
Westerners can't have it both ways.
While western governments continue to kow tow there will never be any hope of reform.


As for sharia law being in operation in the UK. As I said, we should all be equal and abide by the same laws and rules, to have another set of laws applicable to only one group whether it is saving court time or not, means that we are not all equal under the law.
Again, this is down to western governments kow towing and allowing special treatment for one religious group that is not afforded to any other. How long before they are allowed to deal with all aspects of sharia law, what is available now has been snuck in bit by bit against a backdrop of denial, how much more sharia is being demanded behind the scenes and how much will be allowed in future? I've yet to see a UK government refuse cos you know, votes n that.
IP: Logged
Big_Nothing Posted on 15/09/2017 01:11
Edited On: 15/09/2017 01:16
Rod Liddle, Islamophobe

 
So you were supporting and do support Liddle's right to free speech regardless of the content? Even if it is fundamentally discriminatory and prejudiced in its nature? Or advocates the removal of rights and protections of innocents?

Of course freedom of speech is a tricky one but the world is a complicated place and i tend to draw the lines at the places I've alluded to above. Some people evidently struggle with those lines but most decent people i know really don't.

The classic retort of someone arguing from shaky ground is the whole "I'm entitled to my opinion and you're discriminating against me by telling me how bad it is and labeling me racist etc." The whole if you're intolerant of intolerance you're just as bad. It's childish, founded on poor logic and is a cheap way to try and legitimise bile.

Would we ever have anyone acting as apologists for an individual or groups trying to defend noncing for example? Defending their right to an opinion? Nope. It's almost universally accepted as disgusting and having no place in society. If people were marching for it theyd be met with violence by many vigilantes and these vigilantes would get credit for it.

We have people marching in the name of white supremacy, wearing the emblems of a movement which believed in genocide. We have people writing newspaper articles playing down the severity of and trying to provide some justification for genocide.

And we have people on here trying to defend their right to do so. That is apologism. You wouldn't react that way to people trying to defend or play down noncing so why do you feel compelled to defend people's right to advocate or play down racism and genocide? Are they not all disgusting aspects of life we should condemn so widely and heavily that they aren't even considered as something youd dare show sympathy towards?

Think on.
IP: Logged
Only_Me Posted on 15/09/2017 02:01

Rod Liddle, Islamophobe

 
" Would we ever have anyone acting as apologists for an individual or groups trying to defend noncing for example? Defending their right to an opinion? "



Don't know who that post was aimed at but as I've said previously, you don't seem to do much actual standing up for women on this board, so I'm afraid whatever you say, I tend to take with a very large pinch of salt.

In any case, I haven't read Rods article but yes I feel entitled to query the negative treatment of women and young girls as I have done most of my life.


As regards noncing...

Don't know where you've been looking but there already are such groups, notably PIE which has been in existence for quite some time.
Also there is now a move to have noncing accepted as being part of the LGBQT spectrum hence the addition of the letter P on the end of the abbreviation - LGBQTP.
We'll leave the rape gangs aside for now.


" It's almost universally accepted as disgusting and having no place in society"

Almost but not all, with the the number of genders now being presented as being over 100 or whatever [rle] ( there are only 2 btw with the occasional appearance of a hermaphrodite due to gene malfunction or whatever ) the nonces have seized the opportunity and are now claiming victimhood.
FWIW my view and again i'm happy to admit i'm a noncephobe ( there ya go, another made up word for the collection ) and would be quite happy to see every last one of them have their bowlocks ripped off and forced down their throats at the very least, same for all rapists.


" If people were marching for it theyd be met with violence by many vigilantes and these vigilantes would get credit for it. "


No, the vigilantes would end up doing time and the nonces would claim victimhood again, especially when there are those in the progressive movement who wish to see the normalisation of noncing.
So, think on, when you call yourself a progressive, people are allowed to wonder where it is that you think you want society to progress to and you need to wonder at which station do you get off the progressive train before you are seen as sympathetic to noncing. Maybe you should do a bit of thinking on, yourself.

IP: Logged
Only_Me Posted on 15/09/2017 02:23

Rod Liddle, Islamophobe

 
And as if by magic...


" Sexually abused children as young as 12 could still be refused compensation by a government body on the grounds that they “consented,” under revised rules seen by the Guardian "


So already there are some prepared to take 4 years off the age of consent.
Don't forget, the average nonce, thinks that what they're doing is loving/caring and therefore non violent.


Whether this comes to nothing due to the outcry it should cause is yet to be seen but that there are people with this viewpoint I find deeply troubling.

Link: link to full Guardian article
IP: Logged
Scrote Posted on 15/09/2017 02:47
Edited On: 15/09/2017 02:48
Rod Liddle, Islamophobe

 
The vast majority of muslims in the world are moderate if we're taking terrorism to be the extreme.

If, however, you consider mere piety and adherence to the general tenets of Islam to be extreme then there isn't much wiggle room. You just end up with a "no true Scotsman" fallacy.

As far as Sharia law goes, I think you've been inhaling far too much Daily Mail dust. if a muslim breaks the law of the land then they are tried by the courts.

What anyone does to rectify problems that don't break any laws is up to them - as long as all parties agree.

And specifically with Sharia law and divorce - a legally married couple in the UK would still have to get a legal divorce no matter what happens in a Sharia council.

The problem is with the many muslim marriages that aren't recognised legally - which is an issue for government to sort out.

Catholics aren't generally allowed to marry after a legal divorce but they can apply to the church for an annulment. It's exactly the same thing - the religious law is self-contained but the actual law prevails (as in the couple are officially divorced whether an annulment is granted or not).
IP: Logged
r00fie1 Posted on 15/09/2017 04:07

Rod Liddle, Islamophobe

 
Any experts on Arms Sales to Saudi Arabia on here?
IP: Logged
Easy_Fella Posted on 15/09/2017 06:57

Rod Liddle, Islamophobe

 
Nope, plenty shouty self opinionated lefties though looking for their one upmanship fix.
IP: Logged
Block1 Posted on 15/09/2017 07:36
Edited On: 15/09/2017 07:39
Rod Liddle, Islamophobe

 
Not the BBC

Link: Csis
IP: Logged
foomanboro Posted on 15/09/2017 08:46

Rod Liddle, Islamophobe

 
Almost as many as the number of usernames you have Easy_Fella [:D]
IP: Logged
Big_Nothing Posted on 15/09/2017 09:48

Rod Liddle, Islamophobe

 
What are you going on about only_me? Talk about missing my point. Why would i be seen as being sympathetic to nonces? The very point I'm making is that it's disgusting, has no place in society and isn't defensible.

I'm saying that racism and genocide should be viewed in the same way because disgusting, have no place in society and aren't defensible.

You are more than happy to talk about how much you violently detest paedophiles and rightly so! Yet when people are on here defending Liddle's free speech when he's trying to provide some kind of warped justification and playing down of genocide people are defending his right to do so rather than denouncing him. If he had wrote an article saying noncing wasn't that bad, just a bit heavy handed and the kids were asking for it because some of the kids had done x or y then people would be going ballistic and RIGHTLY SO. Yet here he is talking about discrimination and genocide and people are going whoah whoah whoah let the man speak! It's madness.

Why the fcuk you're mentioning my attitude towards women or lack of defending them on here or something i don't know because i think you'll find in the past I have done. You evidently don't know me at all and would sooner just try and fabricate some angle to snipe at me. Odd behaviour frankly.
IP: Logged
Block1 Posted on 15/09/2017 19:10

Rod Liddle, Islamophobe

 
Myanmar and its Rohingya Muslim Insurgency
September 7, 2017

Early on the morning of August 25, armed militants from a Rohingya insurgent group in Myanmar mounted coordinated attacks on 30 government targets, including police outposts and an army base, in the northern part of Myanmar’s Rakhine State. Equipped with small arms, machetes, and hand-held explosives, the insurgents killed 10 police officers, a soldier, and an immigration official. Seventy-seven insurgents were killed, with one insurgent captured in the attacks. In response, the Myanmar military has begun conducting “clearance operations” across Rakhine state. Over the past week, this crackdown has forced many Rohingya from their homes, some fleeing across the border to Bangladesh.

Q1: Who are the players in this conflagration?

A1: There are approximately 925,939 Rohingya Muslims in Myanmar, living predominantly in Rakhine State. While not technically part of the official population count, Rohingyas constitute 1.7 percent of Myanmar’s total population of 55,123,814. Buddhists make up the religious majority of Myanmar, accounting for 87.9 percent of the total population. In Rakhine State, however, the religious and ethnic lines are drawn much more tightly. The 2014 Myanmar Population and Housing Census reported that 52.2 percent of Rakhine State are Buddhist and 42.7 percent Islamic, making religious tensions in Rakhine State much higher than in the rest of the country.

Earlier in August, Myanmar was reported to have sent hundreds of troops to Rakhine State to strengthen security and defuse tensions after Rohingya insurgents carried out a series of violent attacks on Buddhists in the region. These insurgents have been identified as members of the Harakah al-Yaqin (or Faith Movement), a Rohingya insurgent group now going by the name of Arakan Rohingya Salvation Army (ARSA). According to a report by the International Crisis Group, ARSA members have trained abroad and are led by Rohingya emigres living in Saudi Arabia. While the group denies any direct links to jihadist or transnational terror groups, the larger issues of marginalization of Muslims in Myanmar has attracted the interest of transnational terror groups including Islamic State, Tehreek-e-Taliban, and Lashkar-e-Taiba.

Q2: What is the background to this violence?

A2: Shortly after Myanmar declared independence in 1948, a rebellion broke out along the border of Myanmar and East Pakistan (now Bangladesh), calling for equal rights for Muslims living in Rakhine State. After years of insurgency, the Myanmar government suppressed the violence and secured a cease-fire in 1954. However, Myanmar’s military coup in 1962 hardened the government’s stance toward religious and ethnic minorities, and the Rohingya Muslims in Rakhine State in particular were again repressed. In 1982, the Rohingya were stripped of their citizenship and categorized as “nonnationals.” Since then, nearly 1 million Rohingya Muslims have lived within Myanmar’s borders as stateless people and faced the constant threat of detention camps, deportation, and forced labor, including sex trafficking.

The modern insurgency in Rakhine State dates to the 1970s when pan-Islamist movements around the world gave rise to the Rohingya Solidarity Organization; its splinter group, the Arakan Rohingya Islamic Front; and eventually in 1998, a loose alliance of the two organizations called the Arakan Rohingya National Organization. The origins of the most recent insurgent group, Harakah al-Yaqin (HaY), also known as ARSA, date back to 2013, when the leader of the organization, Ata Ullah, along with a committee of some 20 senior leaders, established the organization from Saudi Arabia. Since then, HaY/ARSA has obtained fatwas from clerics in countries with significant Rohingya diaspora to justify its use of violence against the Myanmar armed forces, and it has carried out significant attacks on security forces in the past year, including multiple coordinated attacks on October 9, 2016, which resulted in the deaths of nine police officers in Rakhine State.

Q3: What is the Myanmar government’s role in this crisis?

A3: In response to the growing threat of violence, members of the country’s Buddhist majority have demanded a crackdown on insurgents from the Rohingya Muslim minority. They have criticized the pro-democracy advocate and de facto leader of Myanmar, Aung San Suu Kyi, for not responding quickly to the army’s call for a meeting of the National Security and Defense Council, which has the power to enforce a state of emergency in Rakhine State, giving it full enforcement authority.

Suu Kyi, a recipient of the Nobel Peace Prize in 1991 for her adherence to the practice of nonviolence and her call to establish a democratic society in which Myanmar’s ethnic groups could cooperate in harmony, has been harshly criticized by international voices, including human rights groups, who have accused her of failing to stop the army from committing human rights abuses, including killing, raping, and burning down more than 1,000 homes and other buildings.

Reuters has also reported accusations that the Myanmar military has been planting new mines along its already heavily mined border with Bangladesh. Bangladesh plans to protest the mining activity along the border and has already demanded that Myanmar’s army de-escalate the ongoing violence that has forced tens of thousands of Rohingya refugees from Rakhine State across the border into the Bangladeshi resort town of Cox Bazaar.

Q4: How is the international community responding?

A4: In a statement released on September 5, the United Nations confirmed that the violence in Myanmar has forced nearly 125,000 Rohingya to flee their homes and risks further destabilizing the region. At the same time, UN secretary general Antonio Guterres called on the Myanmar government to end “this cycle of violence,” noting further that “the grievances and unresolved plight of the Rohingya have festered for far too long and are becoming an undeniable factor in regional destabilization.” Earlier this year, the United Nations also released a report that found “very likely commission of crimes against humanity” by Myanmar’s military during its late 2016 operations targeting ARSA.

Myanmar’s campaign against ARSA, and its treatment of its Rohingya Muslims in general, has generated notable discontent in the Islamic world. Leaders from Muslim majority countries, particularly those in Southeast and South Asia, have spoken out against the conditions that have led to the recent wave of Rohingya displacement. Leaders from Malaysia, Indonesia, Bangladesh, and Pakistan have denounced the actions of the Myanmar government, and Turkey’s president, Recep Tayyip Erdoğan, and foreign minister both described the situation as a genocide aimed at Muslim communities in the region.

Meanwhile, U.S. ambassador to the United Nations Nikki Haley released a statement declaring “The United States supports democracy for the Burmese people, and we condemn attacks by militant groups in Rakhine State. However, as Burmese security forces act to prevent further violence, they have a responsibility to adhere to international humanitarian law, which includes refraining from attacking innocent civilians and humanitarian workers and ensuring assistance reaches those in need. We call on all members of the Security Council to support the Burmese government in ensuring the rights and dignity of all communities in Rakhine State and throughout Burma.”

Over the last several years, the U.S. government modified its relationship with Myanmar from one of isolation to one of engagement in part to build links with a resource-rich, strategically important country under heavy influence from China.

Q5: What are the implications of this violence inside and outside of Myanmar?

A5: Myanmar occupies an important strategic location, bordering China, India, Bangladesh, Thailand, and Laos. A major exporter of natural gas, Myanmar figures prominently in the geopolitical maneuvering between China and the United States. The Myanmar military has mined the border with Bangladesh where Rohingyas are fleeing. The nation’s stability is of great interest and concern to many parties, from the private sector to human rights groups and nongovernmental organizations. Groups like the Malta-based Migrant Offshore Aid Station (MOAS) are already responding to the crisis.

There are other important security considerations, too, that reach well beyond Myanmar’s borders. The repression and marginalization visited upon the Muslim-minority Rohingyas by a powerful government largely consisting of leaders from another religion present a potential, transnational flashpoint for jihadi-Salafi organizations.

With parallels to the ethno-religio-nationalist insurgencies of southern Thailand and the southern Philippines, there is legitimate concern that the violence will attract outside forces. Now that thousands of battle-hardened, ISIS-affiliated foreign fighters are seeking new missions beyond a shrinking Islamic State in Syria and Iraq, new opportunities to defend Muslims will inevitably appeal to them.

In Mindanao, Philippines, that Catholic-majority nation’s Muslim heartland has been beset by terrorist and insurgent activity for decades. In May 2017, a major battle erupted between the terrorist-designated Abu Sayyaf Group and Philippine armed forces. More than 80 foreign fighters, hailing from Chechnya, Morocco, Saudi Arabia, Yemen, and Indonesia, supported the local fighters. Though there is no fair comparison between the ISIS-affiliated Abu Sayyaf Group and any of the groups in Myanmar, there is an unmistakable potential for ISIS to direct fighters and other resources to Myanmar to defend the Rohingyas—whether invited to or not. With sharply marginalized Muslim youth making up 45 percent of the Rohingya population, there is ample opportunity for radicalization. These boys and young men, stateless and targeted by government forces, could well reach for the chance to be heroes.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213